#! /bin/sh

g++ -Wall -fPIC -shared commonlib.cpp -o libcommon1.so
g++ -Wall -fPIC -shared -DNEW commonlib.cpp -o libcommon2.so
g++ -Wall -fPIC -shared lib1.cpp libcommon1.so -o liblib1.so
g++ -Wall -fPIC -shared lib2.cpp libcommon2.so -o liblib2.so
g++ -Wall a.cpp liblib1.so liblib2.so -Wl,-R.
g++ -Wall a.cpp liblib1.so liblib2.so -Wl,-R -Wl,.
g++ -Wall a.cpp liblib1.so liblib2.so -Wl,--rpath -Wl,$PWD
g++ -Wall a.cpp liblib1.so liblib2.so
LD_LIBRARY_PATH=. ./a.out
